Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: "Jan D." <[email-masked]>
Date: Wed, 4 Mar 2015 20:22:21 +0100

Hi.

> 4 mar 2015 kl. 19:53 skrev Yuri D'Elia <[email-masked]>:
> 
> On 03/04/2015 07:45 PM, martin rudalics wrote:
>> In x_wm_set_size_hint we disable size hints for fullscreen and maximized
>> frames.  Is it that what you mean with "as done in
>> xg_frame_set_char_size"?
> 
> Yes. The second/third event I saw while debugging are not coming from
> the window manager. I suspect it's GTK trying to reconfigure the window
> according to the size hints (and failing).

Gtk+ does have code that tries to resize a window if it did not get the size it requested.
Also, it does try to satisfy the size hints itself, which is wrong.  Hints are for the window manager to respect or ignore as it wishes.  It is nothing wrong with ignoring hints.  They are, after all, just that, hints.
This is an example why it doesn't work to do what Gtk+ does.  This is a major Gtk+ bug IMHO.
I'm afraid it is out of Emacs control.

	Jan D.